# Uses of Class
org.eclipse.equinox.p2.engine.ProvisioningContext

Packages that use ProvisioningContext
Package
Description
org.eclipse.equinox.p2.engine
Provides support for interacting with the p2 provisioning engine
org.eclipse.equinox.p2.operations
Describes high level provisioning operations that can be resolved and performed either modally or in the background.
org.eclipse.equinox.p2.planner
Provides core support for interacting with a dependency resolution mechanism.

## Uses of ProvisioningContext in org.eclipse.equinox.p2.engine

Methods in org.eclipse.equinox.p2.engine that return ProvisioningContext
Modifier and Type
Method
Description
`ProvisioningContext`
IProvisioningPlan.`getContext()`
Returns the provisioning context in which this plan was created.
Methods in org.eclipse.equinox.p2.engine with parameters of type ProvisioningContext
Modifier and Type
Method
Description
`IProvisioningPlan`
IEngine.`createPlan(IProfile profile, ProvisioningContext context)`
Creates a provisioning plan whose methods can be use to provide pre-validated changes.

## Uses of ProvisioningContext in org.eclipse.equinox.p2.operations

Methods in org.eclipse.equinox.p2.operations that return ProvisioningContext
Modifier and Type
Method
Description
`ProvisioningContext`
ProfileChangeOperation.`getProvisioningContext()`
Get the provisioning context that will be used to resolve and perform the provisioning for the operation.
Methods in org.eclipse.equinox.p2.operations with parameters of type ProvisioningContext
Modifier and Type
Method
Description
`IStatus`
ProvisioningSession.`performProvisioningPlan(IProvisioningPlan plan, IPhaseSet phaseSet, ProvisioningContext context, IProgressMonitor monitor)`
Perform the specified provisioning plan.
`void`
ProfileChangeOperation.`setProvisioningContext(ProvisioningContext context)`
Set the provisioning context that should be used to resolve and perform the provisioning for the operation.
`protected void`
ProfileChangeOperation.`updateJobProvisioningContexts(org.eclipse.equinox.internal.p2.operations.PlannerResolutionJob resolutionJob, ProvisioningContext provisioningContext)`
Constructors in org.eclipse.equinox.p2.operations with parameters of type ProvisioningContext
Modifier
Constructor
Description
``
`ProfileModificationJob(String name, ProvisioningSession session, String profileId, IProvisioningPlan plan, ProvisioningContext context)`
Create a job that will update a profile according to the specified provisioning plan.

## Uses of ProvisioningContext in org.eclipse.equinox.p2.planner

Methods in org.eclipse.equinox.p2.planner with parameters of type ProvisioningContext
Modifier and Type
Method
Description
`IProvisioningPlan`
IPlanner.`getProvisioningPlan(IProfileChangeRequest profileChangeRequest, ProvisioningContext context, IProgressMonitor monitor)`
Returns a plan describing the set of changes that must be performed to satisfy the given profile change request.
`IQueryResult<IInstallableUnit>`
IPlanner.`updatesFor(IInstallableUnit iu, ProvisioningContext context, IProgressMonitor monitor)`